﻿using NLog;
using System;

namespace TicTacToe.Common.Log
{
    public class LoggerFacade : ILoggerFacade
    {
        private readonly Logger logger;

        public LoggerFacade(Type type)
        {
            logger = LogManager.GetLogger(type.ToString());
        }

        public void Info(string message)
        {
            logger.Info(message);
        }

        public void Info(string message, params object[] args)
        {
            logger.Info(message, args);
        }

        public void Debug(string message)
        {
            logger.Debug(message);
        }

        public void Debug(string message, params object[] args)
        {
            logger.Debug(message, args);
        }

        public void Warn(string message)
        {
            logger.Warn(message);
        }

        public void Warn(string message, params object[] args)
        {
            logger.Warn(message, args);
        }
        
        public void Error(string message)
        {
            logger.Error(message);
        }

        public void Error(string message, params object[] args)
        {
            logger.Error(message, args);
        }
    }
}
