﻿using System;
using System.Collections.Generic;
using TicTacToe.Model.Model;

namespace TicTacToe.Model.Interfaces
{
    public interface ISessionRepository
    {
        Session Login(string login, string password);

        IEnumerable<Session> GetAllSessions();

        Session GetSessionById(Guid sessionId);

        Session GetSessionByUserId(Guid userId);

        void Logout(Guid sessionId);

        Session CreateTempSession(Guid tempUserId);

        bool IsSessionValid(Guid sessionId);
    }
}