namespace TicTacToe.Model.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AddMigrationAddedStatistics : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Statistics",
                c => new
                    {
                        Id = c.Guid(nullable: false, identity: true),
                        UserId = c.Guid(nullable: false),
                        GamesPlayed = c.Int(nullable: false),
                        WonGames = c.Int(nullable: false),
                        LostGames = c.Int(nullable: false),
                        DrawGames = c.Int(nullable: false),
                        Leaves = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.Users", t => t.UserId, cascadeDelete: true)
                .Index(t => t.UserId);
            
        }
        
        public override void Down()
        {
            DropIndex("dbo.Statistics", new[] { "UserId" });
            DropForeignKey("dbo.Statistics", "UserId", "dbo.Users");
            DropTable("dbo.Statistics");
        }
    }
}
