﻿using TicTacToe.Model.Interfaces;

namespace TicTacToe.Model.Model
{
    public class Field : FieldBase, IField
    {
        public Field()
        {
            Fields = new OuterField[9];
            for (int i = 0; i < 9; i++)
            {
                Fields[i] = new OuterField();
            }
        }

        public OuterField this[int index]
        {
            get
            {
                return Fields[index] as OuterField;
            }
        }

        public InnerFieldItem this[int outerIndex, int innerIndex]
        {
            get
            {
                return (Fields[outerIndex] as IField).Fields[innerIndex] as InnerFieldItem;
            }
        }
    }
}
