﻿using TicTacToe.Model.Interfaces;

namespace TicTacToe.Model.Model
{
    public class OuterField : FieldBase, IFieldItem
    {
        public OuterField()
        {
            Fields = new InnerFieldItem[9];
            for (int i = 0; i < 9; i++)
            {
                Fields[i] = new InnerFieldItem();
            }

            State = OuterFieldState.Empty;
        }

        public IFieldItem this[int index]
        {
            get
            {
                return Fields[index];
            }
        }

        public OuterFieldState State { get; set; }

        public bool IsX { get { return State == OuterFieldState.X; } }

        public bool IsO { get { return State == OuterFieldState.O; } }

        public bool IsEmpty { get { return State == OuterFieldState.Empty; } }

        public bool IsBoth { get { return State == OuterFieldState.Tied; } }

        public bool IsAllowedStep(int innerFieldId)
        {
            return Fields[innerFieldId].IsEmpty;
        }

        public void MakeX()
        {
            State = OuterFieldState.X;
        }

        public void MakeO()
        {
            State = OuterFieldState.O;
        }

        public void MakeTied()
        {
            State = OuterFieldState.Tied;
        }

        public bool HasNoFreeSpace
        {
            get
            {
                for (int i = 0; i < 9; i++)
                {
                    if (Fields[i].IsEmpty)
                    {
                        return false;
                    }
                }

                return true;
            }
        }
    }
}
