﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using TicTacToe.Model.Interfaces;
using TicTacToe.Model.Model;

namespace TicTacToe.Model.Repositories
{
    public class InMemoryGamesRepository : IGamesRepository
    {
        private ConcurrentDictionary<Guid, Game> games = new ConcurrentDictionary<Guid, Game>(); 

        public void AddGame(Game game)
        {
            games.TryAdd(game.GameId, game);
        }

        public Game GetGame(Guid gameId)
        {
            Game game;
            if (games.TryGetValue(gameId, out game))
            {
                return game;
            }

            return null;
        }

        public void RemoveGame(Guid gameId)
        {
            Game game;
            games.TryRemove(gameId, out game);
        }

        public IEnumerable<Game> GetAllGames()
        {
            return games.Values;
        }

        public bool ContainsGame(Guid id)
        {
            return games.ContainsKey(id);
        }
    }
}
