﻿using System;

namespace TicTacToe.Service.Communication
{
    public class FriendGameInitInfo
    {
        public FriendGameInitInfo(Guid gameId, Guid userId)
        {
            this.GameId = gameId;
            this.FirstPlayerId = userId;
            this.LastFirstPlayerUpdateDate = DateTime.Now;
            this.IsOpponentConnected = false;
        }

        public Guid GameId { get; private set; }    

        public Guid FirstPlayerId { get; private set; }

        public DateTime LastFirstPlayerUpdateDate { get; private set; }

        public bool IsOpponentConnected { get; set; }

        public void StillWaitingForOpponent()
        {
            this.LastFirstPlayerUpdateDate = DateTime.Now;
        }

        public void OpponentConnected()
        {
            this.IsOpponentConnected = true;
        }
    }
}