﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TicTacToe.Service.Interfaces;

namespace TicTacToe.Service.Communication
{
    public class PlayerConnection : IConnection
    {
        public PlayerConnection(Guid playerId)
        {
            if (playerId == default(Guid))
            {
                throw new ArgumentException("playerId must be defined", "playerId");
            }

            this.Id = playerId;
            this.MessageArrived();
        }

        public event PlayerDisconnectedEventHandler PlayerDisconnected;

        public Guid Id { get; private set; }

        public DateTime LastMessageArrived { get; private set; }

        public void MessageArrived()
        {
            this.LastMessageArrived = DateTime.Now;
        }

        public void Disconnect()
        {
            var handler = this.PlayerDisconnected;

            if (handler != null)
            {
                handler(this, new PlayerDisconnectedEventArgs(this.Id));
            }
        }

        public override string ToString()
        {
            return Id.ToString();
        }
    }
}
