﻿using TicTacToe.Model.Interfaces;

namespace TicTacToe.UnitTest.Helpers
{
    public static class FieldsTestExtensions
    {
        public static T Fill<T>(this T field, string state) where T : IField
        {
            int i = 0;
            foreach (var row in state.Split('\n'))
            {
                for (int j = 0; j < 3; j++)
                {
                    var trimmedRow = row.Trim().TrimEnd("\r".ToCharArray()).ToLower();
                    var item = trimmedRow[j];
                    if (item == 'o')
                    {
                        field.Fields[i * 3 + j].MakeO();
                    }
                    else if (item == 'x')
                    {
                        field.Fields[i * 3 + j].MakeX();
                    }
                }

                i++;
            }

            return field;
        }
    }
}
