﻿using System;
using System.Security.Principal;

namespace TicTacToe.WebServiceHost.Authentication
{
    public class UserIdentity : IIdentity, IUserProvider
    {
        public User User { get; set; }

        public string AuthenticationType
        {
            get
            {
                return typeof(User).ToString();
            }
        }

        public bool IsAuthenticated
        {
            get
            {
                return User != null;
            }
        }

        public Guid UserId
        {
            get
            {
                if (User != null)
                {
                    return User.UserId;
                } 
                
                return Guid.Empty;            
            }         
        }

        public Guid SessionId
        {
            get
            {
                if (User != null)
                {
                    return User.SessionId;
                }

                return Guid.Empty;
            }
        }

        public string Name
        {
            get
            {
                if (User != null)
                {
                    return User.UserId.ToString();
                }

                return Guid.Empty.ToString();
            }
        }

        public void Init(string userId, string sessionId)
        {
            Guid userIdGuid;
            Guid sessionIdGuid;

            if (Guid.TryParse(userId, out userIdGuid) && Guid.TryParse(sessionId, out sessionIdGuid))
            {
                User = new User { SessionId = sessionIdGuid, UserId = userIdGuid };
            }
        }
    }
}