﻿using System.Security.Principal;

namespace TicTacToe.WebServiceHost.Authentication
{
    public class UserProvider : IPrincipal
    {
        private UserIdentity userIdentity { get; set; }

        public IIdentity Identity
        {
            get
            {
                return userIdentity;
            }
        }

        public bool IsInRole(string role)
        {
            // no role support.
            return false;
        }

        public UserProvider(string userId, string sessionId)
        {
            userIdentity = new UserIdentity();
            userIdentity.Init(userId, sessionId);
        }

        public override string ToString()
        {
            return userIdentity.UserId.ToString();
        }
    }
}