﻿using System;
using System.Web.Mvc;

using TicTacToe.WebServiceHost.Authentication;

namespace TicTacToe.WebServiceHost.Controllers
{
    public class BaseController : Controller
    {
        public BaseController()
        {
            this.Auth = DependencyResolver.Current.GetService<ServiceAuthentication>(); 
        }

        public IAuthentication Auth { get; set; }

        public User CurrentUser
        {
            get
            {
                return ((IUserProvider)this.Auth.CurrentUser.Identity).User;
            }
        }

        public Guid? CurrentSessionId
        {
            get
            {
                var sessionCoolie = this.HttpContext.Request.Cookies["sessionId"];
                if (sessionCoolie != null)
                {
                    Guid sessionId;
                    if (Guid.TryParse(sessionCoolie.Value, out sessionId))
                    {
                        return sessionId;
                    }
                }

                return null;
            }
        }
    }
}