﻿using System;
using System.Web;
using System.Web.Mvc;

using TicTacToe.WebServiceHost.Authentication;

namespace TicTacToe.WebServiceHost.HttpModules
{
    public class AuthHttpModule : IHttpModule
    {
        public void Init(HttpApplication context)
        {
            context.AuthenticateRequest += this.Authenticate;
        }

        public void Dispose()
        {
        } 

        private void Authenticate(Object source, EventArgs e)
        {
            HttpApplication app = (HttpApplication)source; 
            HttpContext context = app.Context;
            var auth = DependencyResolver.Current.GetService<ServiceAuthentication>(); 
            auth.HttpContext = context; 
            context.User = auth.CurrentUser;
        }
    }
}