﻿using System.Threading.Tasks;

using Microsoft.AspNet.SignalR;

namespace TicTacToe.WebServiceHost.Models
{
    public class GameChatHub : Hub
    {
        public Task JoinGroup(string groupName)
        {
            if (!string.IsNullOrEmpty(groupName))
            {
                return Groups.Add(Context.ConnectionId, groupName);
            }

            return new Task(() => { });
        }

        public Task LeaveGroup(string groupName)
        {
            if (!string.IsNullOrEmpty(groupName))
            {
                return Groups.Remove(Context.ConnectionId, groupName);
            }

            return new Task(() => { });
        }

        public void PostMessage(string groupName, string message)
        {
            if (!string.IsNullOrEmpty(groupName))
            {
                Clients.Group(groupName, Context.ConnectionId).AddMessage(message);
            }
        }
    }
}